## Class Debloat

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - java.awt.Window
      - - java.awt.Frame
        - - javax.swing.JFrame
          - - Debloat

All Implemented Interfaces:
  `java.awt.event.ActionListener`, `java.awt.image.ImageObserver`, `java.awt.MenuContainer`, `java.io.Serializable`, `java.util.EventListener`, `javax.accessibility.Accessible`, `javax.swing.RootPaneContainer`, `javax.swing.WindowConstants`

    public class Debloat
    extends javax.swing.JFrame
    implements java.awt.event.ActionListener

Universal Android Debloater GUI

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class javax.swing.JFrame

`javax.swing.JFrame.AccessibleJFrame`

### Nested classes/interfaces inherited from class java.awt.Frame

`java.awt.Frame.AccessibleAWTFrame`

### Nested classes/interfaces inherited from class java.awt.Window

`java.awt.Window.AccessibleAWTWindow, java.awt.Window.Type`

### Nested classes/interfaces inherited from class java.awt.Container

`java.awt.Container.AccessibleAWTContainer`

### Nested classes/interfaces inherited from class java.awt.Component

`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

### Field Summary

Fields
`static java.lang.String` `ADB_BASE_URL`
`static java.lang.String` `ADB_DISABLE_PACKAGE`
`static java.lang.String` `ADB_ENABLE_PACKAGE`
`static java.lang.String` `ADB_FORCE_DISABLE_PACKAGE`
`static java.lang.String` `ADB_GET_DEVICE_MANUFACTURER`
`static java.lang.String` `ADB_GET_DEVICE_MODEL`
`static java.lang.String` `ADB_GET_PACKAGES`
`static java.lang.String` `ADB_HAS_DEVICE`
`static java.lang.String` `ADB_KILL_SERVER`
`static java.lang.String` `ADB_LINUX_URL`
`static java.lang.String` `ADB_MACOS_URL`
`static int` `ADB_SERVER_REFRESH_MILSECOND`
`static java.lang.String` `ADB_START_SERVER`
`static java.lang.String` `ADB_WINDOWS_URL`
`static int` `BTN_MARGIN`
`static java.lang.String[]` `BTN_NAMES`
`static java.lang.String` `DEFAULT_DEVICE_NAME`
`static java.awt.Font` `DEFAULT_FONT`
`static java.lang.String` `DEFAULT_STATUS_BAR`
`static int` `PANE_CENTER_INSET`
`static int` `PANE_SOUTH_INSET`
`static java.lang.String` `TITLE`
`static java.awt.Dimension` `WINDOW_SIZE`

### Fields inherited from class javax.swing.JFrame

`accessibleContext, rootPane, rootPaneCheckingEnabled`

### Fields inherited from class java.awt.Frame

`CROSSHAIR_CURSOR, DEFAULT_CURSOR, E_RESIZE_CURSOR, HAND_CURSOR, ICONIFIED, MAXIMIZED_BOTH, MAXIMIZED_HORIZ, MAXIMIZED_VERT, MOVE_CURSOR, N_RESIZE_CURSOR, NE_RESIZE_CURSOR, NORMAL, NW_RESIZE_CURSOR, S_RESIZE_CURSOR, SE_RESIZE_CURSOR, SW_RESIZE_CURSOR, TEXT_CURSOR, W_RESIZE_CURSOR, WAIT_CURSOR`

### Fields inherited from class java.awt.Component

`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

### Fields inherited from interface java.awt.image.ImageObserver

`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

### Fields inherited from interface javax.swing.WindowConstants

`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, EXIT_ON_CLOSE, HIDE_ON_CLOSE`

### Constructor Summary

Constructors
`Debloat()` Constructor that creates window

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `actionPerformed​(java.awt.event.ActionEvent ev)` Invoked when an action event occurs on a component
`static java.util.ArrayList<java.lang.String>` `adb​(java.lang.String cmd)` Execute adb shell command
`protected void` `createButtonsPane()` Create a panel that contains various buttons
`protected void` `createDeviceNamePane()` Create a panel that contains device name
`protected void` `createPackagesPane()` Create a panel that contains a list of package names
`protected void` `createStatusBar()` Create a panel that contains the status bar
`static void` `main​(java.lang.String[] args)` Main

### Methods inherited from class javax.swing.JFrame

`addImpl, createRootPane, frameInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getGraphics, getJMenuBar, getLayeredPane, getRootPane, getTransferHandler, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, repaint, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setIconImage, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, setTransferHandler, update`

### Methods inherited from class java.awt.Frame

`addNotify, getCursorType, getExtendedState, getFrames, getIconImage, getMaximizedBounds, getMenuBar, getState, getTitle, isResizable, isUndecorated, remove, removeNotify, setBackground, setCursor, setExtendedState, setMaximizedBounds, setMenuBar, setOpacity, setResizable, setShape, setState, setTitle, setUndecorated`

### Methods inherited from class java.awt.Window

`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBackground, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getIconImages, getInputContext, getListeners, getLocale, getModalExclusionType, getMostRecentFocusOwner, getOpacity, getOwnedWindows, getOwner, getOwnerlessWindows, getShape, getToolkit, getType, getWarningString, getWindowFocusListeners, getWindowListeners, getWindows, getWindowStateListeners, hide, isActive, isAlwaysOnTop, isAlwaysOnTopSupported, isAutoRequestFocus, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isOpaque, isShowing, isValidateRoot, pack, paint, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, reshape, setAlwaysOnTop, setAutoRequestFocus, setBounds, setBounds, setCursor, setFocusableWindowState, setFocusCycleRoot, setIconImages, setLocation, setLocation, setLocationByPlatform, setLocationRelativeTo, setMinimumSize, setModalExclusionType, setSize, setSize, setType, setVisible, show, toBack, toFront`

### Methods inherited from class java.awt.Container

`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusDownCycle, validate, validateTree`

### Methods inherited from class java.awt.Component

`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, requestFocusInWindow, resize, resize, revalidate, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setMaximumSize, setMixingCutoutShape, setName, setPreferredSize, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.awt.MenuContainer

`getFont, postEvent`

### Field Detail

#### ADB_BASE_URL

    public static final java.lang.String ADB_BASE_URL

See Also:
  Constant Field Values

#### ADB_WINDOWS_URL

    public static final java.lang.String ADB_WINDOWS_URL

See Also:
  Constant Field Values

#### ADB_MACOS_URL

    public static final java.lang.String ADB_MACOS_URL

See Also:
  Constant Field Values

#### ADB_LINUX_URL

    public static final java.lang.String ADB_LINUX_URL

See Also:
  Constant Field Values

#### ADB_START_SERVER

    public static final java.lang.String ADB_START_SERVER

See Also:
  Constant Field Values

#### ADB_KILL_SERVER

    public static final java.lang.String ADB_KILL_SERVER

See Also:
  Constant Field Values

#### ADB_SERVER_REFRESH_MILSECOND

    public static final int ADB_SERVER_REFRESH_MILSECOND

See Also:
  Constant Field Values

#### ADB_HAS_DEVICE

    public static final java.lang.String ADB_HAS_DEVICE

See Also:
  Constant Field Values

#### ADB_GET_DEVICE_MANUFACTURER

    public static final java.lang.String ADB_GET_DEVICE_MANUFACTURER

See Also:
  Constant Field Values

#### ADB_GET_DEVICE_MODEL

    public static final java.lang.String ADB_GET_DEVICE_MODEL

See Also:
  Constant Field Values

#### ADB_GET_PACKAGES

    public static final java.lang.String ADB_GET_PACKAGES

See Also:
  Constant Field Values

#### ADB_ENABLE_PACKAGE

    public static final java.lang.String ADB_ENABLE_PACKAGE

See Also:
  Constant Field Values

#### ADB_DISABLE_PACKAGE

    public static final java.lang.String ADB_DISABLE_PACKAGE

See Also:
  Constant Field Values

#### ADB_FORCE_DISABLE_PACKAGE

    public static final java.lang.String ADB_FORCE_DISABLE_PACKAGE

See Also:
  Constant Field Values

#### TITLE

    public static final java.lang.String TITLE

See Also:
  Constant Field Values

#### WINDOW_SIZE

    public static final java.awt.Dimension WINDOW_SIZE

#### DEFAULT_FONT

    public static final java.awt.Font DEFAULT_FONT

#### DEFAULT_DEVICE_NAME

    public static final java.lang.String DEFAULT_DEVICE_NAME

See Also:
  Constant Field Values

#### DEFAULT_STATUS_BAR

    public static final java.lang.String DEFAULT_STATUS_BAR

See Also:
  Constant Field Values

#### PANE_CENTER_INSET

    public static final int PANE_CENTER_INSET

See Also:
  Constant Field Values

#### PANE_SOUTH_INSET

    public static final int PANE_SOUTH_INSET

See Also:
  Constant Field Values

#### BTN_MARGIN

    public static final int BTN_MARGIN

See Also:
  Constant Field Values

#### BTN_NAMES

    public static final java.lang.String[] BTN_NAMES

### Constructor Detail

#### Debloat

    public Debloat()

Constructor that creates window

### Method Detail

#### adb

    public static java.util.ArrayList<java.lang.String> adb​(java.lang.String cmd)

Execute adb shell command

Parameters:
  `cmd` - adb shell command to execute
Returns:
  command output line by line

#### createDeviceNamePane

    protected void createDeviceNamePane()

Create a panel that contains device name

#### createPackagesPane

    protected void createPackagesPane()

Create a panel that contains a list of package names

#### createButtonsPane

    protected void createButtonsPane()

Create a panel that contains various buttons

#### createStatusBar

    protected void createStatusBar()

Create a panel that contains the status bar

#### actionPerformed

    public void actionPerformed​(java.awt.event.ActionEvent ev)

Invoked when an action event occurs on a component

Specified by:
  `actionPerformed` in interface `java.awt.event.ActionListener`
Parameters:
  `ev` - received action event from component

#### main

    public static void main​(java.lang.String[] args)

Main

Parameters:
  `args` - The command line arguments